public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Locke Shinseiko" <wizzleby@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gamerlay:master commit in: games-arcade/aquaria/
Date: Mon,  2 May 2011 20:49:36 +0000 (UTC)	[thread overview]
Message-ID: <cfc25045ce2b45c41740c1ebce57a2d2b2a1753d.wizzleby@gentoo> (raw)

commit:     cfc25045ce2b45c41740c1ebce57a2d2b2a1753d
Author:     Locke Shinseiko <wizzleby <AT> gmail <DOT> com>
AuthorDate: Mon May  2 20:49:23 2011 +0000
Commit:     Locke Shinseiko <wizzleby <AT> gmail <DOT> com>
CommitDate: Mon May  2 20:49:23 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=cfc25045

[games-arcade/aquaria-9999] Update ebuild from bugzilla (bug 323499)

(Portage version: 2.2.0_alpha30/git/Linux x86_64, signed Manifest commit with key CE482794)

---
 games-arcade/aquaria/aquaria-9999.ebuild |   40 ++++++++++-------------------
 games-arcade/aquaria/metadata.xml        |    9 ++++++
 2 files changed, 23 insertions(+), 26 deletions(-)

diff --git a/games-arcade/aquaria/aquaria-9999.ebuild b/games-arcade/aquaria/aquaria-9999.ebuild
index 2b2a8b7..7cbdc7d 100644
--- a/games-arcade/aquaria/aquaria-9999.ebuild
+++ b/games-arcade/aquaria/aquaria-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
@@ -18,7 +18,7 @@ IUSE=""
 RESTRICT="fetch"
 
 RDEPEND="dev-lang/lua
-	>=dev-libs/tinyxml-2.6
+	>=dev-libs/tinyxml-2.6.1-r1[stl]
 	games-engines/bbge
 	media-libs/glpng
 	media-libs/libsdl"
@@ -45,22 +45,20 @@ src_unpack() {
 }
 
 src_prepare() {
-	# Remove bundled stuff to ensure it's not used.
-	rm -r Aquaria/lua-* BBGE/ || die
-
-	# Fix BBGE include paths.
+	# Fix include paths.
 	sed -i \
-		-e "s:\.\./BBGE/glpng:GL/glpng:" \
-		-e "s:\.\./BBGE/tinyxml:tinyxml:" \
+		-e "s:\.\./ExternalLibs/glpng:GL/glpng:" \
+		-e "s:\.\./ExternalLibs/::" \
 		-e "s:\.\./BBGE/:BBGE/:" \
 		Aquaria/*.{cpp,h} || die
 
-	sed -i \
-		-e "/TARGET_LINK_LIBRARIES/d" \
-		-e "/ADD_EXECUTABLE[(]/,/[)]/d" \
-		CMakeLists.txt || die
-
+	# Only build game sources.
+	rm -r BBGE/ || die
+	sed -i "/ADD_EXECUTABLE[(]/,/[)]/d" CMakeLists.txt || die
 	echo 'ADD_EXECUTABLE(aquaria ${AQUARIA_SRCS})' >> CMakeLists.txt || die
+
+	# Redefine libraries to link against.
+	sed -i "/TARGET_LINK_LIBRARIES/d" CMakeLists.txt || die
 	echo "TARGET_LINK_LIBRARIES(aquaria BBGE glpng lua pthread SDL tinyxml)" >> CMakeLists.txt || die
 }
 
@@ -73,25 +71,15 @@ src_install() {
 	dogamesbin "${CMAKE_BUILD_DIR}/${PN}" || die
 
 	cd ../data || die
-	local dir="${GAMES_DATADIR}/Aquaria"
-
-	insinto "${dir}"
+	insinto "${GAMES_DATADIR}/Aquaria"
 	doins -r *.xml */ || die
+	doins -r "${S}"/game_scripts/* || die
 
 	dodoc README-linux.txt || die
-	mv "${D}/${dir}"/docs "${D}/usr/share/doc/${PF}/html" || die
-	dosym /usr/share/doc/${PF}/html "${dir}"/docs || die
+	dohtml -r docs/* || die
 
 	doicon "${PN}.png" || die
 	make_desktop_entry "${PN}" "Aquaria" || die
 
 	prepgamesdirs
 }
-
-pkg_postinst() {
-	elog
-	elog "If you are using a joystick with rumble capability, and wish to use it"
-	elog "export the variable AQUARIA_EVENT_JOYSTICK0 defined as the path to the"
-	elog "device. Example: export AQUARIA_EVENT_JOYSTICK0=/dev/input/event6"
-	elog
-}
\ No newline at end of file

diff --git a/games-arcade/aquaria/metadata.xml b/games-arcade/aquaria/metadata.xml
new file mode 100644
index 0000000..e6263c7
--- /dev/null
+++ b/games-arcade/aquaria/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>no-herd</herd>
+	<maintainer>
+		<email>wizzleby@gmail.com</email>
+		<name>Locke Shinseiko</name>
+	</maintainer>
+</pkgmetadata>



             reply	other threads:[~2011-05-02 20:49 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-05-02 20:49 Locke Shinseiko [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-02-29  1:15 [gentoo-commits] proj/gamerlay:master commit in: games-arcade/aquaria/ Azamat H. Hackimov
2021-02-05 19:26 Azamat H. Hackimov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=cfc25045ce2b45c41740c1ebce57a2d2b2a1753d.wizzleby@gentoo \
    --to=wizzleby@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox